unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Unit2;

//definicja klasy formy
type
  TForm1 = class(TForm)   //nowe slowo kluczowe class, ktore definuje klase
    ScrollBar1: TScrollBar;
    ScrollBar2: TScrollBar;
    ScrollBar3: TScrollBar;
    Panel1: TPanel;
    Button1: TButton;
    ColorDialog1: TColorDialog;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button2: TButton;
    Button3: TButton;
    Label4: TLabel;
    procedure ScrollBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
    licznik: Integer;
  public
    { Public declarations }
  end;
//zakonczenie definicji klasy formy
var
  Form1: TForm1;
  Form2: TForm2;
implementation

{$R *.dfm}

procedure TForm1.ScrollBar1Change(Sender: TObject);  //metoda zdarzeniowa zwiazana ze zmiana pozycji sowaka na komponencie ScrollBar1
begin
//ta metoda "podczepiona" jest rowniez do komponentow ScrollBar2 i ScrollBar3
Panel1.Color := RGB(self.ScrollBar1.Position, ScrollBar2.Position, ScrollBar3.Position);
Label1.Caption := IntToStr(ScrollBar1.Position);  //IntToStr zamienia typ Integer na typ String
Label2.Caption := IntToStr(ScrollBar2.Position);
Label3.Caption := IntToStr(ScrollBar3.Position);
Label4.Caption := '#' + IntToHex(ScrollBar1.Position,2)+ IntToHex(ScrollBar2.Position,2)+IntToHex(ScrollBar3.Position,2);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
//wywolanie okna dialogowego wyboru kolorow
if (ColorDialog1.Execute) then
begin
  ScrollBar1.Position := GetRValue(ColorDialog1.Color);
  ScrollBar2.Position := GetGValue(ColorDialog1.Color);
  ScrollBar3.Position := GetBValue(ColorDialog1.Color);

end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Close;
//To samo spowoduja nastepujace polecenia:
//self.Close;
//Form1.Close;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
Application.CreateForm(TForm2, Form2);
Form2.ShowModal; //ShowModal tryb modalny wyswietlania okna. Mozna sprawdzic tez Show
end;

end.
